import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name='csst_mci_sim',
    version='1.0.1',
    author='CSST Team',
    author_email='zhaojunyan@shao.ac.cn',
    description='The CSST - mci - sim',  # short description
    long_description=long_description,
    long_description_content_type="text/markdown",
    url='https://csst-tb.bao.ac.cn/',
    # project_urls={
    #     'Source': 'https://csst-tb.bao.ac.cn/code/csst-l1/ifs/csst_mci_sim',
    # },
    packages=setuptools.find_packages(),
    license='MIT',
    classifiers=["Development Status :: 5 - Production/Stable",
                 "Intended Audience :: Science/Research",
                 "License :: OSI Approved :: MIT License",
                 "Operating System :: OS Independent",
                 "Programming Language :: Python :: 3.8",
                 "Topic :: Scientific/Engineering :: Physics",
                 "Topic :: Scientific/Engineering :: Astronomy"],
    package_dir={'csst_mci_sim': 'csst_mci_sim'},
    # include_package_data=True,
    package_data={"": ["LICENSE", "README.md"],
                  "csst_mci_sim": ["mci_so/*", "mci_data/*"]},
    # install_requires=['sphinx',
    #                   'numpy',
    #                   'scipy', 'matplotlib',
    #                   'astropy', 'healpy', 'ccdproc', 'deepCR', 'photutils'],
    python_requires='>=3.8',
)
